commit:     39ece2fce2b047089e1db2383542266f8d707528
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 26 15:51:05 2021 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Fri Feb 26 21:19:25 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=39ece2fc

sci-libs/nemesis: EAPI-7 bump, switch to cmake.eclass

I guess I was the last one to version bump, so be it.

Package-Manager: Portage-3.0.15, Repoman-3.0.2
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 sci-libs/nemesis/nemesis-6.09.ebuild | 22 ++++++++++------------
 1 file changed, 10 insertions(+), 12 deletions(-)

diff --git a/sci-libs/nemesis/nemesis-6.09.ebuild 
b/sci-libs/nemesis/nemesis-6.09.ebuild
index 3e18bd12f61..b975520655c 100644
--- a/sci-libs/nemesis/nemesis-6.09.ebuild
+++ b/sci-libs/nemesis/nemesis-6.09.ebuild
@@ -1,16 +1,15 @@
-# Copyright 1999-2018 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
-inherit cmake-utils
-
-MY_PN="exodus"
-MY_P="${MY_PN}-${PV}"
+MY_P="exodus-${PV}"
+inherit cmake
 
 DESCRIPTION="Enhancement to the EXODUSII finite element database model"
 HOMEPAGE="https://github.com/certik/exodus";
 SRC_URI="https://dev.gentoo.org/~asturm/distfiles/${MY_P}.tar.gz";
+S="${WORKDIR}"/${MY_P}/${PN}
 
 LICENSE="BSD"
 SLOT="0"
@@ -19,16 +18,15 @@ IUSE="static-libs"
 
 DEPEND="
        sci-libs/exodusii
-       sci-libs/netcdf"
+       sci-libs/netcdf
+"
 RDEPEND="${DEPEND}"
 
-S="${WORKDIR}"/${MY_P}/${PN}
-
 PATCHES=( "${FILESDIR}"/${P}-multilib.patch )
 
 src_prepare() {
-       find ../exodus -delete || die
-       cmake-utils_src_prepare
+       rm -r ../exodus || die
+       cmake_src_prepare
 }
 
 src_configure() {
@@ -37,7 +35,7 @@ src_configure() {
        )
        export NETCDF_DIR="${EPREFIX}/usr/"
        export EXODUS_DIR="${EPREFIX}/usr/"
-       cmake-utils_src_configure
+       cmake_src_configure
 }
 
 src_test() {

Reply via email to